//
//  QGTransformInputController.h
//  Immutation
//
//  Created by Matthew McCowan on 9/26/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGTransformValue.h"
#import "QGESlider.h"
#import "SSCircularSlider.h"
#import "QGFilterInputController.h"


@interface QGTransformInputController : QGFilterInputController
{
	// Instance
	QGTransformValue *value;
	
	// Outlet
	IBOutlet SSCircularSlider *angleSlider;
	IBOutlet NSTextField      *angleTextField;
//	IBOutlet NSSlider    *scaleSlider;
//	IBOutlet NSTextField *minScaleTextField;
//	IBOutlet NSTextField *maxScaleTextField;
//	IBOutlet NSTextField *valueScaleTextField;
}

// Transforms
- (float) adjustTo:(float)angle;
- (float) adjustFrom:(float)angle;

// Actions
- (IBAction) changeAngleValue:(id)sender;
@end
